Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.815006
Category:Mac OS X Local Security Checks
Title:Apple MacOSX Security Updates(HT209600)-01
Summary:Apple Mac OS X is prone to multiple vulnerabilities.
Description:Summary:
Apple Mac OS X is prone to multiple vulnerabilities.

Vulnerability Insight:
Multiple flaws exist due to:

- An out-of-bounds read error with improper bounds checking.

- An use after free error with improper memory management.

- A buffer overflow error with improper size validation.

- A logic issue related to improper validation.

- Multiple issues in Perl.

- A logic issue related to improper state management.

- An out-of-bounds read error related to improper input validation.

Vulnerability Impact:
Successful exploitation will allow attackers
to read restricted memory, overwrite arbitrary files, gain elevated privileges,
execute arbitrary code and cause unexpected system termination.

Affected Software/OS:
Apple Mac OS X versions,
10.12.x through 10.12.6, 10.13.x through 10.13.6, 10.14.x through 10.14.3.

Solution:
Upgrade to Apple Mac OS X 10.14.4 or later,
or apply Security Update 2019-002 High Sierra or Security Update 2019-002 Sierra. Please see the references for more information.

CVSS Score:
9.4

CVSS Vector:
AV:N/AC:L/Au:N/C:N/I:C/A:C

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2019-8520
https://support.apple.com/HT209600
Common Vulnerability Exposure (CVE) ID: CVE-2019-8521
https://support.apple.com/HT209599
Common Vulnerability Exposure (CVE) ID: CVE-2019-8526
Common Vulnerability Exposure (CVE) ID: CVE-2019-8527
https://support.apple.com/HT209601
https://support.apple.com/HT209602
Common Vulnerability Exposure (CVE) ID: CVE-2019-8561
Common Vulnerability Exposure (CVE) ID: CVE-2019-8513
Common Vulnerability Exposure (CVE) ID: CVE-2019-8555
Common Vulnerability Exposure (CVE) ID: CVE-2019-8522
Common Vulnerability Exposure (CVE) ID: CVE-2019-6207
Common Vulnerability Exposure (CVE) ID: CVE-2019-8510
CopyrightCopyright (C) 2019 Greenbone Networks GmbH

This is only one of 99761 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.